<?php


class OVOReturnModuleFrontController extends ModuleFrontController {

    public $ssl = true;
    public $display_column_left = false;

    /**
     * @see FrontController::initContent()
     */
    public function initContent() {
        parent::initContent();
		
		$objOrder = new Order(Tools::getValue('merchantOrderId'));
		$cart = new Cart($objOrder->id_cart);
        $customer = new Customer($cart->id_customer);
		$status = Tools::getValue('resultCode');	
        if($status == '00')
		{      			
			Tools::redirect('index.php?controller=order-confirmation&id_cart='.$objOrder->id_cart.'&id_module='.$this->module->id.'&id_order='.$objOrder->id_cart.'&key='.$customer->secure_key);	
		}
		else if($status == '01')
		{
			$this->display_column_left = false;
			$this->display_column_right = false;
			parent::initContent();
			global $smarty;

			// if payment failed, get order_id to generate reorder/re-checkout URL, so that customer could do re-checkout
			if (null !==Tools::getValue('merchantOrderId') && '' !==Tools::getValue('merchantOrderId') ){
				$order_id = Tools::getValue('merchantOrderId');
			}
			$cart = $this->context->cart;		
		    $info = "Pembayaran dengan OVO sedang diproses.";
			$this->context->smarty->assign(array(
				'status' => $status,
				'info' => $info,
				'order_id' => $order_id,
				'this_path' => $this->module->getPathUri(),
				'this_path_ssl' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/'
			));
			
			$this->setTemplate('notification.tpl');		
		}
		else
		{								
			$this->display_column_left = false;
			$this->display_column_right = false;
			parent::initContent();
			global $smarty;

			// if payment failed, get order_id to generate reorder/re-checkout URL, so that customer could do re-checkout
			if (null !==Tools::getValue('merchantOrderId') && '' !==Tools::getValue('merchantOrderId') ){
				$order_id = Tools::getValue('merchantOrderId');
			}
			$cart = $this->context->cart;		
		    $info = "Pembayaran dengan OVO gagal.";
			$this->context->smarty->assign(array(
				'status' => $status,
				'info' => $info,
				'order_id' => $order_id,
				'this_path' => $this->module->getPathUri(),
				'this_path_ssl' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/'
			));
			
			$this->setTemplate('notification.tpl');				
		}
	}
}