<?php
require_once(dirname(__FILE__).'/../../library/Duitku.php');

class VAPermataValidationModuleFrontController extends ModuleFrontController {

  /**
     * @see FrontController::postProcess()
     */
    public function postProcess() {
        $cart = $this->context->cart;
		$currency = $this->context->currency;		
		$customer = new Customer($cart->id_customer);
        if (!Validate::isLoadedObject($customer)|| $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
            Tools::redirect('index.php?controller=order&step=1');						

        // Check that this payment option is still available in case the customer changed his address just before the end of the checkout process
        $authorized = false;
        foreach (Module::getPaymentModules() as $module)
            if ($module['name'] == 'vapermata') {
                $authorized = true;
                break;
            }
        if (!$authorized)
            die($this->module->l('This payment method is not available.', 'validation'));

        $customer = new Customer($cart->id_customer);
        if (!Validate::isLoadedObject($customer))
            Tools::redirect('index.php?controller=order&step=1');
			
		$merchantcode = Configuration::get('DUITKU_VAPERMATA_MERCHANTCODE');
        $apikey = Configuration::get('DUITKU_VAPERMATA_APIKEY');
		$cart_id = $cart->id;
		$amount = $cart->getOrderTotal(true, Cart::BOTH);		
        $domain = Tools::getShopDomainSsl(true, true);
		$address = new Address($cart->id_address_invoice);
		
		$this->module->validateOrder($cart_id, Configuration::get('PS_OS_CHEQUE'), $amount, $this->module->displayName, null, array(), (int)$currency->id, false, $customer->secure_key);
		
		$order = Order::getOrderByCartId($cart_id);
		$signature = md5($merchantcode.$order.$amount.$apikey);
		$params = array(
             'merchantCode' => $merchantcode,
             'paymentAmount' => $amount,
             'paymentMethod' => 'BT',
			 'merchantOrderId' => $order,
             'productDetails' => 'Order ' . $order,
             'additionalParam' => $cart->id,
             'merchantUserInfo' => $customer->email,
             'email' => $customer->email,
             'phoneNumber' => $address->phone_mobile,
			 //'returnUrl' => $domain . __PS_BASE_URI__ .'index.php?controller=order-confirmation&id_cart='.$cart->id.'&id_module='.$this->module->id.'&id_order='.$order.'&key='.$customer->secure_key,
			 'returnUrl' => $domain . __PS_BASE_URI__ . 'index.php?fc=module&module=vapermata&controller=return',
			 'callbackUrl' => $domain . __PS_BASE_URI__ . 'index.php?fc=module&module=vapermata&controller=confirmation',
             'signature' => $signature,
         );        
		
		try {     
			$redirUrl = Duitku_VtWeb::getRedirectionUrl(Configuration::get('DUITKU_VAPERMATA_URL'), $params);			
			if (isset($redirUrl))
                header('location: ' . $redirUrl);
		}
		catch (Exception $e) {			
			echo $e->getMessage();
		}		        
    }
}
